package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Sdv3Repository;
import com.realnet.basicp1.Entity.Sdv3
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class Sdv3Service {
@Autowired
private Sdv3Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Sdv3 Savedata(Sdv3 data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Sdv3 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Sdv3> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Sdv3> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Sdv3> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Sdv3 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Sdv3 update(Sdv3 data,Integer id) {
	Sdv3 old = Repository.findById(id).get();
old.setName(data.getName());


 
old.setA(data.getA());
 

 
old.setB(data.getB());
 

  

old.setChild(data.getChild());

final Sdv3 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
